# Generated by Django 2.1.2 on 2018-12-23 11:24

from cardinal_pythonlib.django.fields.restrictedcontentfile import (
    ContentTypeRestrictedFileField,
)
from django.db import migrations, models

from crate_anon.crateweb.consent.models import (
    leaflet_upload_to,
    study_details_upload_to,
    study_form_upload_to,
)
from crate_anon.crateweb.consent.storage import CustomFileSystemStorage

_DEFAULT_LOCATION = "/srv/crate_filestorage"


class Migration(migrations.Migration):

    dependencies = [
        ("consent", "0012_auto_20181102_1335"),
    ]

    operations = [
        migrations.AddField(
            model_name="contactrequest",
            name="clinician_email",
            field=models.TextField(default=None, null=True),
        ),
        migrations.AddField(
            model_name="contactrequest",
            name="clinician_initiated",
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name="emailattachment",
            name="file",
            field=models.FileField(
                storage=CustomFileSystemStorage(
                    base_url="download_privatestorage",
                    location=_DEFAULT_LOCATION,
                ),
                upload_to="",
            ),
        ),
        migrations.AlterField(
            model_name="leaflet",
            name="pdf",
            field=ContentTypeRestrictedFileField(
                blank=True,
                storage=CustomFileSystemStorage(
                    base_url="download_privatestorage",
                    location=_DEFAULT_LOCATION,
                ),
                upload_to=leaflet_upload_to,
            ),
        ),
        migrations.AlterField(
            model_name="letter",
            name="pdf",
            field=models.FileField(
                storage=CustomFileSystemStorage(
                    base_url="download_privatestorage",
                    location=_DEFAULT_LOCATION,
                ),
                upload_to="",
            ),
        ),
        migrations.AlterField(
            model_name="study",
            name="study_details_pdf",
            field=ContentTypeRestrictedFileField(
                blank=True,
                storage=CustomFileSystemStorage(
                    base_url="download_privatestorage",
                    location=_DEFAULT_LOCATION,
                ),
                upload_to=study_details_upload_to,
            ),
        ),
        migrations.AlterField(
            model_name="study",
            name="subject_form_template_pdf",
            field=ContentTypeRestrictedFileField(
                blank=True,
                storage=CustomFileSystemStorage(
                    base_url="download_privatestorage",
                    location=_DEFAULT_LOCATION,
                ),
                upload_to=study_form_upload_to,
            ),
        ),
    ]
